GNU bug report logs - #22930
X11 forwarding fails without /tmp/.X11-unix directory

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: myglc2 <myglc2@HIDDEN>; merged with #23960, #24049; dated Mon, 7 Mar 2016 01:09:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 22930 23960 24049. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Merged 22930 23960. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Mar 2016 01:08:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 06 20:08:38 2016
Received: from localhost ([127.0.0.1]:37170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1acjf4-0006wB-Fd
	for submit <at> debbugs.gnu.org; Sun, 06 Mar 2016 20:08:38 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39086)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1acjf2-0006vz-Rv
 for submit <at> debbugs.gnu.org; Sun, 06 Mar 2016 20:08:37 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1acjew-0001nw-Sg
 for submit <at> debbugs.gnu.org; Sun, 06 Mar 2016 20:08:31 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 HK_RANDOM_ENVFROM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38622)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1acjew-0001ns-P9
 for submit <at> debbugs.gnu.org; Sun, 06 Mar 2016 20:08:30 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58285)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1acjev-0001o0-Tu
 for bug-guix@HIDDEN; Sun, 06 Mar 2016 20:08:30 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1acjes-0001na-Nj
 for bug-guix@HIDDEN; Sun, 06 Mar 2016 20:08:29 -0500
Received: from plane.gmane.org ([80.91.229.3]:35430)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1acjes-0001nP-Gb
 for bug-guix@HIDDEN; Sun, 06 Mar 2016 20:08:26 -0500
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <gcggb-bug-guix@HIDDEN>) id 1acjeq-0007zm-Kd
 for bug-guix@HIDDEN; Mon, 07 Mar 2016 02:08:24 +0100
Received: from c-73-167-118-254.hsd1.ma.comcast.net ([73.167.118.254])
 by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-guix@HIDDEN>; Mon, 07 Mar 2016 02:08:24 +0100
Received: from myglc2 by c-73-167-118-254.hsd1.ma.comcast.net with local
 (Gmexim 0.1 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-guix@HIDDEN>; Mon, 07 Mar 2016 02:08:24 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-guix@HIDDEN
From: myglc2 <myglc2@HIDDEN>
Subject: X11 forwarding fails without /tmp/.X11-unix directory
Date: Sun, 06 Mar 2016 20:10:33 -0500
Lines: 71
Message-ID: <87twkj6qk6.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: c-73-167-118-254.hsd1.ma.comcast.net
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
Cancel-Lock: sha1:NC5zdzF5+KXHtA7VhNgb/NKigSY=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.2 (---)

--=-=-=
Content-Type: text/plain

Example: using guix commit 59a4dd5 with openssh xauth & emacs in the
user profile (c02glc.scm) and a minimal system profile (c02system.scm),
after a reboot we see ...

nemo:~ $ ssh g1
glc@g1's password:
X11 forwarding request failed on channel 0

... and in /var/log/messages ...

Mar  6 19:23:35 localhost lshd[372]: lshd: Failed to cd to `/tmp/.X11-unix' (errno = 2): No such file or directory 
Mar  6 19:23:35 localhost lshd[372]: lshd: Updating utmp for login failed (errno = 2): No such file or directory 

If we do ...

mkdir /tmp/.X11-unix

... logout and login, forwarding works, emacs runs in X, and
/var/log/messages is clean. If we reboot, X11 forwarding again fails.


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=c02glc.scm
Content-Transfer-Encoding: base64

KHVzZS1wYWNrYWdlLW1vZHVsZXMKIGdldHRleHQKIGdob3N0c2NyaXB0IDs7IGdzLWZvbnRzCiBm
b250cyA7OyBmb250LWRlamF2dSBmb250LWdudS1mcmVlZm9udC10dGYKIGJhc2UKIHNzaCByc3lu
YyB3Z2V0IHNjcmVlbgogdmVyc2lvbi1jb250cm9sCiBlbWFjcwogY3VybAogeG9yZyBjZXJ0cwog
Z3JhcGh2aXoKICkgCihwYWNrYWdlcy0+bWFuaWZlc3QKIChsaXN0CiAgOzsgIGdudS1nZXR0ZXh0
CiAgZ3MtZm9udHMgZm9udC1kZWphdnUgZm9udC1nbnUtZnJlZWZvbnQtdHRmCiAgZ251LW1ha2UK
ICBvcGVuc3NoIG5zcy1jZXJ0cyB4YXV0aCByc3luYyB3Z2V0IGdpdCBnaXQtbWFucGFnZXMKICBl
bWFjcyBtYWdpdCBzY3JlZW4gCiAgY3VybCA7OyBscGFzdGUKICBncmFwaHZpegogICkpCg==
--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=c02system.scm
Content-Transfer-Encoding: base64
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--=-=-=--





Acknowledgement sent to myglc2 <myglc2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#22930; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 1 Aug 2016 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.